I have the following `*.sls` in my `salt`setup:

{% if salt['pkg.version_cmp'](salt['grains'].get('kernelrealease'),
'5.12') < 0 %}
move broken AX260 wifi blob out of the way:
  file.rename:
    - name: /usr/lib/firmware/iwlwifi-ty-a0-gf-ao.pnvm.xz.bak
    - source: /usr/lib/firmware/iwlwifi-ty-a0-gf-ao.pnvm.xz
    - force: True
    - runas: root
{% endif %}

This is supposed to automate moving `linux` firmware out of the way
that interferes with my wifi card's operation under certain non-cutting
edge kernel versions (as present in `QubesOS`).

I can run this `*.sls`fine on `dom0` (where it doesn't make much sense,
respectively the change isn't necessary), but if I target the templates
(and particularly the one `sys-net` is based on), `salt` balks on the
first line. There's a lot of traceback, but the most readable message
appears to be along the lines of

`Jinja error: get() missing 1 required positional argument: 'default'`

Does anyone have any pointers as to what may be going on here, how to
better debug (error output from `dom0`--> Email VM?) and how to fix?

Thanks in advance.

Joh


-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/bacd7404b94bcdc63fddb4ac8193ecc4f6ab76a2.camel%40graumannschaft.org.

Reply via email to